package main

import (
	"mongo.games.com/game/model"
	"mongo.games.com/goserver/core"
	"mongo.games.com/goserver/core/module"

	_ "games.yol.com/win88"
	"mongo.games.com/game/common"
)

func main() {
	core.RegisterConfigEncryptor(common.ConfigFE)
	core.LoadPackages("config.json")
	defer core.ClosePackages()

	model.InitGameParam()

	waitor := module.Start()
	waitor.Wait("ranksrv")
}
